function f1 = asm(mat)
%-------------------------------------------------------------------------
% function f1 = asm(mat)
% 
% Calculation of the Angular Second Moment of a (n x m) matrix 
%
% input:    mat         (n x m) matrix
%
% output:   f1          angular second moment
%-------------------------------------------------------------------------
% Date: 29.10.2004
% Name: Maja Temerinac

f1 = sum(sum(mat.*mat));