function val = diffav(mat)
%-------------------------------------------------------------------------
% function val = diffav(mat)
% 
% Calculation of the Difference Average of a (n x m) matrix 
%
% input:    mat         (n x m) matrix
%
% output:   val          difference average of a (n x m) matrix
%-------------------------------------------------------------------------
% Date: 7.11.2004
% Name: Maja Temerinac
[n m] = size(mat);
val = 0;
ps = p_xminusy(mat);

for k = 0:m-1
    val = val + k*ps(1,k+1);
end