function f9 = entropy(mat)
%-------------------------------------------------------------------------
% function f9 = entropy(mat)
% 
% Calculation of the Entropy of a (n x m) matrix 
%
% input:    mat         (n x m) matrix
%
% output:   f9          entropy
%-------------------------------------------------------------------------
% Date: 1.11.2004
% Name: Maja Temerinac

[n m]= size(mat);
mat = double(mat);
f9=0;
epsilon = 0.00000000000001;
for i=1:n
    for j=1:m
    f9 = f9 + mat(i,j)*log2(mat(i,j)+epsilon);
    end
end

f9 = -f9;

