function val = hxy2(mat)
%-------------------------------------------------------------------------
% function val = hxy2(mat)
% 
% Calculation of hxy2 of a (n x m) matrix 
%
% input:    mat         (n x m) matrix
%
% output:   val          hxy2
%-------------------------------------------------------------------------
% Date: 5.11.2004
% Name: Maja Temerinac

[n m]= size(mat);
mat = double(mat);
val=0;
px = sum(mat');
py = sum(mat);

epsilon = 0.00000000000001;
for i=1:n
    for j=1:m
    val = val + px(i)*py(j)*log2(px(i)*py(j)+ epsilon);
    end
end

 val = -val;
