function f5 = idm(mat)
%-------------------------------------------------------------------------
% function f5 = idm(mat)
% 
% Calculation of the Inverse Difference Moment of a (n x m) matrix 
%
% input:    mat         (n x m) matrix
%
% output:   f5          inverse difference moment
%-------------------------------------------------------------------------
% Date: 2.11.2004
% Name: Maja Temerinac
[n m]= size(mat);

f5 = 0;
for i=1:n
    for j=1:m
    f5 = f5 + mat(i,j)/(1+(i-j)^2);
    end
end
