function f12 = im1(mat)
%-------------------------------------------------------------------------
% function f12 = im1(mat)
% 
% Calculation of information Measure 1 (of Correlation) of a (n x m) matrix 
%
% input:    mat         (n x m) matrix
%
% output:   f12          information Measure 1 (of Correlation)
%-------------------------------------------------------------------------
% Date: 5.11.2004
% Name: Maja Temerinac

[n m]= size(mat);
hx = entropy(sum(mat'));
hy = entropy(sum(mat));

f12 = (entropy(mat)-hxy1(mat))/max(hx,hy);