function f4 = variance(mat)
%-------------------------------------------------------------------------
% function f4 = variance(mat)
% 
% Calculation of the Variance of a (n x m) matrix 
%
% input:    mat         (n x m) matrix
%
% output:   f4          variance of a symmetric matrix
%-------------------------------------------------------------------------
% Date: 2.11.2004
% Name: Maja Temerinac

[n m] = size(mat);

% Computing the mean value of mat
mat_x = sum(mat');
[mx sx] = mean_standard_deviation(mat_x);

%after computing the mean value
f4 = 0;
for i = 1:n
    for j = 1:m
    f4 = f4 + (i-mx)^2*mat(i,j);     
    end
end
