function colordb_sum_hsv_entropy = create_colordb_sumHSV_entropy(colordb_hsv_sum)
%-------------------------------------------------------------------------
% function colordb = create_colordb_sumHSV_entropy(colordb_hsv_sum)
% 
% Calculation of the feature database containing color features using
% co-occurence matrix
%
% input:    D                   distance in pixel for the calculation of the co-occurence matrix    
%
% output:   colordb             colordatabase containing the features
%                               vectors of pics i=1:m
%-------------------------------------------------------------------------
% Date: 2.11.2004
% Name: Maja Temerinac


colordb = struct('img_name',{},'ftsvec',{});

for i = 1:1000

   colordb_sum_hsv_entropy(i).img_name = colordb_hsv_sum(i).img_name;  
   
   colordb_sum_hsv_entropy(i).ftsvec(1:2) = colordb_hsv_sum(i).ftsvec(1:2);  
end