function f13 = im2(mat)
%-------------------------------------------------------------------------
% function f14 = im2(mat)
% 
% Calculation of information Measure 2 (of Correlation) of a (n x m) matrix 
%
% input:    mat         (n x m) matrix
%
% output:   f13          information Measure 2 (of Correlation)
%-------------------------------------------------------------------------
% Date: 5.11.2004
% Name: Maja Temerinac

[n m]= size(mat);

f13 = sqrt(1-exp(-2*(hxy2(mat)-entropy(mat))));