function ps = p_xplusy(mat)
%-------------------------------------------------------------------------
% function ps = p_xplusy(mat)
% 
% Calculation of the p_x+y of a (n x m) matrix 
%
% input:    mat         (n x m) matrix
%
% output:   ps          p_x+y of a (n x m) matrix
%-------------------------------------------------------------------------
% Date: 7.11.2004
% Name: Maja Temerinac
[n m] = size(mat);

ps = zeros(1,n+m);
for i = 1:n
   for j = 1:m
        k = i+j;
        ps(1,k)=ps(1,k)+mat(i,j);    
   end
end
