function val = rgb2yuv(image)
%--------------------------------------------------------------------------
%function val = rgb2yuv(image)
%
%Calculates a yuv image out of a rgb image
%
%input:     image           rgb image
%
%output:    val             yuv image
%--------------------------------------------------------------------------
mat =[.299 .587 .114; -0.148 -0.289 .437;0.615 -0.515 -0.100];
image = double(image);
[n m k] = size(image);
help = zeros(n,m,3);
for i = 1:n
    for j=1:m
help(i,j,:) = (mat*image(i,j,:)')';
end
end

%help(:,:,2)=help(:,:,2)+111,435;
%help(:,:,3)=help(:,:,3)+156.825;

val = help;