function f6 = sumav(mat)
%-------------------------------------------------------------------------
% function f6 = sumav(mat)
% 
% Calculation of the Sum Average of a (n x m) matrix 
%
% input:    mat         (n x m) matrix
%
% output:   f6          sum average of a (n x m) matrix
%-------------------------------------------------------------------------
% Date: 2.11.2004
% Name: Maja Temerinac
[n m] = size(mat);
f6 = 0;
ps = p_xplusy(mat);

for k = 2:n+m
    f6 = f6 + k*ps(1,k);
end

   