function f7 = sumvar(mat)
%-------------------------------------------------------------------------
% function f7 = sumvar(mat)
% 
% Calculation of the Sum Variance of a (n x m) matrix 
%
% input:    mat         (n x m) matrix
%
% output:   f7          sum average of a (n x m) matrix
%-------------------------------------------------------------------------
% Date: 7.11.2004
% Name: Maja Temerinac
[n m] = size(mat);
f7 = 0;
ps = p_xplusy(mat);
sum_average = sumav(mat);

for k = 2:n+m
    f7 = f7 + (k-sum_average)^2*ps(1,k);
end